Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.base.verbosity.DebugLogger

class `mvpa2.base.verbosity.``DebugLogger`(metrics=None, offsetbydepth=True, *args, **kwargs)

  Logger for debugging purposes.

  Expands SetLogger with ability to print some interesting information (named Metric... XXX) about current process at each debug printout

  Methods

  `print_registered`([detailed]) |
  `register`(setid, description) | “Register” a new setid with a given description for easy finding
  `register_metric`(func) | Register some metric to report
  `set_active_from_string`(value) | Given a string listing registered(?) setids, make then active

  Parameters:

  metrics : iterable of (func or str) or None

  > What metrics (functions) to be reported. If item is a string, it is matched against `_known_metrics` keys.

  offsetbydepth : bool, optional

  > Either to offset lines depending on backtrace depth (default behavior).

  *args, **kwargs :

  > Passed to SetLogger initialization XXX

  Methods

  `print_registered`([detailed]) |
  `register`(setid, description) | “Register” a new setid with a given description for easy finding
  `register_metric`(func) | Register some metric to report
  `set_active_from_string`(value) | Given a string listing registered(?) setids, make then active

  `metrics`
  `offsetbydepth`
  `register_metric`(func)

    Register some metric to report

    func can be either a function call or a string which should correspond to known metrics

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »